Package org.apache.sling.distribution.journal.bookkeeper

## Class LocalStoreJMX

- java.lang.Object
- - org.apache.sling.distribution.journal.bookkeeper.LocalStoreJMX

All Implemented Interfaces:
  `LocalStoreJMXMBean`

    public class LocalStoreJMX
    extends Object
    implements LocalStoreJMXMBean

### Constructor Summary

Constructors
`LocalStoreJMX()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate()`
`void` `close()`
`void` `resetStores()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalStoreJMX

    public LocalStoreJMX()

### Method Detail

#### activate

    public void activate()
                  throws NotCompliantMBeanException

Throws:
  `NotCompliantMBeanException`

#### close

    public void close()
               throws IOException

Throws:
  `IOException`

#### resetStores

    public void resetStores()

Specified by:
  `resetStores` in interface `LocalStoreJMXMBean`